/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.activemq.apollo.dto;

import javax.xml.bind.annotation.*;

/**
 * @author <a href="http://hiramchirino.com">Hiram Chirino</a>
 */
@XmlRootElement(name="queue_consumer_status")
@XmlAccessorType(XmlAccessType.FIELD)
public class QueueConsumerStatusDTO {

    /**
     * link to who is consuming from the queue.
     */
    public LinkDTO link;

    public long position = 0;

    public int acquired_count;
    public long acquired_size;

    public long total_dispatched_count;
    public long total_dispatched_size;

    public long total_ack_count;
    public long total_nack_count;

    /**
     * What the consumer is currently waiting on
     */
    @XmlAttribute(name="waiting_on")
	public String waiting_on;
}